using System;
using Server;

namespace Server.Items
{
	public class IronBrazier : BaseLight
	{
		public override int LitItemID{ get { return 0xE31; } }
		public override int UnlitItemID{ get { return 0x1F20; } }

		[Constructable]
		public IronBrazier() : base( 0x1F20 )
		{
			Name = "brazier";
			Duration = TimeSpan.Zero;
			Burning = false;
			Light = LightType.Circle225;
			Weight = 3.0;
		}

		public IronBrazier( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 1 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}